Bug 1200308 - mod_cluster crashes apache thread if multiple nodes report the same AJP connect string
Summary: mod_cluster crashes apache thread if multiple nodes report the same AJP conne...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors
Version: 6.4.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: DR2
: EAP 6.4.9
Assignee: Jean-frederic Clere
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks: 1338639
TreeView+ depends on / blocked
 
Reported: 2015-03-10 09:41 UTC by Michal Karm Babacek
Modified: 2021-03-11 14:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1338639 (view as bug list)
Environment:
Last Closed: 2017-06-26 18:35:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker MODCLUSTER-448 0 Major Open mod_cluster crashes apache thread if multiple nodes report the same AJP connect string 2019-04-08 13:09:15 UTC

Description Michal Karm Babacek 2015-03-10 09:41:12 UTC
If one misconfigures one's servers so as two or more of them reside on the same IP and port and they register with the Apache HTTP Server mod_cluster load balancer, the worker thread crashes on access to APR conf storage:

 > misc/apr_reslist.c:159: reslist_cleanup: Assertion `rl->ntotal == 0' failed.

Concern:
 - small, this is an administrator's error, no production system should be set up in such fashion

Suggestions:
 - proposed patch [MODCLUSTER-448] logs a warning that this configuration is non-viable
 - the aforementioned proposed patch does not deal with the crash itself, so it needs more work to be done; perhaps discarding such misconfigured workers altogether


Note You need to log in before you can comment on or make changes to this bug.